#include<iostream>
#include<string>
using namespace std;

int main(){
	
	string c;
	int a1, a2;
	
	cin>>c;
	cin>>a1>>a2;
	
	if(a1-a2>1 || a1-a2<-1){
		cout<<"nemoguce";
	}
	else{
		if(a1>a2){
			for(int i=0; i<a2; i++){
				cout<<c;
			}
			cout<<c[0];
		}
		else if(a2>a1){
			cout<<c[1];
			for(int i=0; i<a1; i++){
				cout<<c;
			}
		}
		else{
			for(int i=0; i<a1; i++){
				cout<<c;
			}
		}
	}
	
	return 0;
	
}